The User's Guide to the Gimp-Print Top Quality Printer Drivers
Prev | Chapter 3. CUPS and Gimp-Print | Next

# Using CUPS from the Command Line

It is possible to use the CUPS printing system from the command line. While this document will not delve into all of the specifics of the CUPS command line interface, there are portions of this interface which are specific to the Gimp-Print software.

The command line is in some cases a more convenient way to generate printed output (e.g. when printing from a script). However, most people (including the author) cannot easily predict what a command line option of "-o stpCyan=1350" will do to the output. It is therefore a good idea to use the GIMP to view the image and the Gimp-Print plugin to preview these settings before relying on the command line.

When using CUPS from the command line, the command will have this general format:

         lpr -P my_printer_name \
             -o option1=<choice1> \
             -o option2=<choice2> \
             /path/to/printfile

When typing the command directly onto the command line, put all of the command line options on one line, and do not type the "\" characters. The list of possible options which are specific to Gimp-Print, followed by some of the supported choices, are shown below:

       -o PageSize=<...| A3 | A4 | A4 | ...>
       -o InputSlot=<Roll | Standard>
       -o MediaType=< ..| Inkjet | Plain | GlossyPaper | ...>
       -o Resolution=<360sw | 360swuni ...| 1440x720 >
       -o ColorModel=<Black | RGB | Gray | CMYK>
       -o stpBrightness=<0...2000>
       -o stpContrast=<0...2000>
       -o stpCyan=<0...4000>
       -o stpDensity=<0...2000>
       -o stpDither=<0...4000>
       -o stpGamma=<0...4000>
       -o stpImageType=<LineArt | Continuous | SolidTone>
       -o stpInkType=<PhotoCMY | CMYK | PhotoCMYK | RGB>
       -o stpMagenta=<0...4000>
       -o stpSaturation=<0...9000>
       -o stpYellow=<0...4000>

For more detailed information, consult the appropriate sections of Chapter 2.

Prev | Home | Next
Configuring your Printer in CUPS | Up | Gimp-Print Utilities